Bug 771031 - Awstats won't update website statistics in F16
Summary: Awstats won't update website statistics in F16
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: awstats
Version: 16
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Petr Lautrbach
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-12-31 11:20 UTC by Skippy
Modified: 2012-01-16 21:24 UTC (History)
2 users (show)

Fixed In Version: awstats-7.0-6.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-16 21:24:47 UTC


Attachments (Terms of Use)
awstats configuration file for mywebsite (59.28 KB, text/plain)
2011-12-31 11:20 UTC, Skippy
no flags Details

Description Skippy 2011-12-31 11:20:37 UTC
Created attachment 550116 [details]
awstats configuration file for mywebsite

Description of problem:
After upgrading Fedora from 15 to 16, awstats won't update statistics.  That is, I have no news from awstats of my website trafic since the day of the upgrade.


Version-Release number of selected component (if applicable):
awstats 7.0 5.fc16


Entries seem correctly seen and parsed :
$ sudo /usr/share/awstats/wwwroot/cgi-bin/awstats.pl -config=mywebsite
Create/Update database for config "/etc/awstats/awstats.mywebsite.conf" by AWStats version 7.0 (build 1.971)
From data in log file "/path/to/mywebsite/access.log"...
Phase 1 : First bypass old records, searching new record...
Direct access after last parsed record (after line 54)
Jumped lines in file: 54
 Found 54 already parsed records.
Parsed lines in file: 0
 Found 0 dropped records,
 Found 0 comments,
 Found 0 blank records,
 Found 0 corrupted records,
 Found 0 old records,
 Found 0 new qualified records.

However the wrong awstats data file is updated :
$ ls -ltr /var/lib/awstats
[…]
-rw-r--r--. 1 root root  8968 31 déc.  11:26 awstats112011.mywebsite.txt

Extracted from /var/lib/awstats/awstats112011.mywebsite.txt (note the dates : 201112) :
BEGIN_GENERAL 8
LastLine 20111231040131 54 11245 42522161338
FirstTime 20111101003706
LastTime 20111107230012
LastUpdate 20111231112628 0 0 0 0 0
[…]
END_GENERAL

I tried removing this file, but then this is the 102011 file which is updated.  

Finally, I tried touching /var/lib/awstats/awstats122011.mywebsite.txt before updating the records.  Although it is correctly formatted by awstats.pl, it does not show any entry — 0 everywhere, which does not correspond to the access.log.

Comment 1 Tim Jackson 2011-12-31 17:58:17 UTC
Do you use SkipFiles? If so, this could be related to bug #768982

Comment 2 Skippy 2011-12-31 20:20:15 UTC
(In reply to comment #1)
> Do you use SkipFiles? If so, this could be related to bug #768982

I wanted to mention it because of this other report but I forgot : no, I don't use SkipFiles.

$ grep SkipFiles /etc/awstats/awstats.mywebsite.conf 
# Use SkipFiles to ignore access to URLs that match one of following entries.
# The opposite parameter of "SkipFiles" is "OnlyFiles".
SkipFiles=""
# The opposite parameter of "OnlyFiles" is "SkipFiles".
# Hits reported), you must use SkipFiles parameter.

Comment 3 Fedora Update System 2012-01-02 12:30:36 UTC
awstats-7.0-6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/awstats-7.0-6.fc16

Comment 4 Fedora Update System 2012-01-02 21:52:08 UTC
Package awstats-7.0-6.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing awstats-7.0-6.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-0021/awstats-7.0-6.fc16
then log in and leave karma (feedback).

Comment 5 Skippy 2012-01-03 15:29:30 UTC
I have upgraded to awstats-7.0.6.fc16.

The update works for entries newer than the last time I launched awstats.

However, in order to get it working for previous entries I had to modify manually the LastLine and LastUpdate lines of the last stats files, including the "Last record signature value" of LastLine (otherwise entries would be seen as already parsed, even with modified dates).  Removing these files obviously works as well.

If this is wanted behaviour, you can close this report.

Comment 6 Fedora Update System 2012-01-16 21:24:47 UTC
awstats-7.0-6.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.